From 938056c20c6e9ea430751c53bcbd7f5e83aa13a7 Mon Sep 17 00:00:00 2001
From: Ilya Shpigor <shpigor@etersoft.ru>
Date: Thu, 23 Apr 2009 10:00:16 +0400
Subject: [PATCH] winex11.drv: Add checking to the event detail on dropping window in FocusOut (eterbug #3816)

---
 dlls/winex11.drv/event.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/dlls/winex11.drv/event.c b/dlls/winex11.drv/event.c
index b79a294..79e5cf1 100644
--- a/dlls/winex11.drv/event.c
+++ b/dlls/winex11.drv/event.c
@@ -702,7 +702,7 @@ static void X11DRV_FocusOut( HWND hwnd, XEvent *xev )
         if (hwnd != GetForegroundWindow()) return;
     }
 
-    if (data->managed && data->whole_window)
+    if (data->managed && data->whole_window && (event->detail != NotifyAncestor))
     {
         SetWindowLongW(hwnd, GWL_EXSTYLE, GetWindowLongW( hwnd, GWL_EXSTYLE ) & ~WS_EX_TOPMOST);
         update_net_wm_states( event->display, data );
-- 
1.6.1.3.GIT

